import {select, arc} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform',`translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
  .attr('r', height/2)
	.attr('fill', 'yellow')
  .attr('stroke', 'black');

const eyeSpacing1 = 100;
const eyeSpacing2 = -70;
const eyeRadius = 30;
const eyebrowWidth = 80;
const eyebrowHeight = 20;

const eyesGroup = g.append('g');
	.attr('transform',`translate(0, ${eyeSpacing2})`);

const leftEye = eyesGroup.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing1);

const rightEye = eyesGroup.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing1);

const leftEyebrow = eyesGroup.append('rect')
	.attr('x', -eyeSpacing1)
	.attr('width', eyebrowWidth)
	.attr('height', eyebrowHeight);

const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 130,
    outerRadius: 150,
    startAngle: Math.PI/2,
    endAngle: Math.PI*1.5
  }))










